<?php
/*********************************************************************************************

Load Translation Text Domain

*********************************************************************************************/
load_theme_textdomain( 'site5framework', get_template_directory() . '/languages' );
$locale = get_locale();
$locale_file = get_template_directory() . "/languages/$locale.php";
if ( is_readable( $locale_file ) )
	require_once( $locale_file );

/*********************************************************************************************

Initalize Framework Settings

*********************************************************************************************/
require ('theme-options.php');

/*********************************************************************************************

Content Navigation

*********************************************************************************************/
function site5framework_content_nav() {
	global $wp_query;
	if (  $wp_query->max_num_pages > 1 ) :
		if (function_exists('wp_pagenavi') ) {
			wp_pagenavi();
		} else { ?>
        	<nav id="nav-below">
			<h1 class="screen-reader-text"><?php _e( 'Post navigation', 'site5framework' ); ?></h1>
			<div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Older posts', 'site5framework' ) ); ?></div>
			<div class="nav-next"><?php previous_posts_link( __( 'Newer posts <span class="meta-nav">&rarr;</span>', 'site5framework' ) ); ?></div>
			</nav><!-- #nav-below -->
    	<?php }
	endif;
}

/**
 * Get the image attachment ID based on the url
 */
function get_image_id_by_link($link)
{

	global $wpdb;

	$id = $wpdb->get_var("SELECT ID FROM {$wpdb->posts} WHERE guid='$link'");

	// if attachment exists, it's a url to a full image size
	if ($id) {
		return $id;

	// check if it's a thumbnail url
	} else {
		 $link = preg_replace('/-\d+x\d*+(?=\.(jpg|jpeg|png|gif)$)/i', '', $link);
		 $id = $wpdb->get_var("SELECT ID FROM {$wpdb->posts} WHERE guid='$link'");
		 return $id;
	}


}


add_filter( 'post_thumbnail_html', 'remove_width_attribute', 10 );
add_filter( 'image_send_to_editor', 'remove_width_attribute', 10 );

function remove_width_attribute( $html ) {
    $html = preg_replace( '/(width|height)=\"\d*\"\s/', "", $html );
    return $html;
}